package com.pcloud.book.book.vo.request;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName com.pcloud.book.book.vo.request.BookParam4PcloudVO
 * @Author zhuyajie
 * @Description
 * @Date 2023/1/29 18:10
 **/
@Data
public class BookParam4PcloudVO {
    private Integer currentPage;
    private Integer numPerPage;
    private String startTime;
    private String endTime;

    /**
     * 第一级分类
     */
    private Long templetId;
    /**
     * 第二级分类
     */
    private Long secondTempletId;
    /**
     * 第三级分类
     */
    private Long thirdTempletId;

    private Long agentId;
    private List<Long> adviserIds;

    private String keyword;

    @ApiModelProperty("是否立项；0：未立项；1：已立项；")
    private Integer isApproval;
}
